########################################################################
# File:    task_imports_helper.rb                                      #
#          Hipposoft 2008                                              #
#                                                                      #
# Purpose: Support functions for views related to Task Import objects. #
#          See controllers/task_imports_controller.rb for more.        #
#                                                                      #
# History: 04-Jan-2008 (ADH): Created.                                 #
########################################################################

module TaskImportsHelper

  # Generate a project selector for the project to which imported tasks will
  # be assigned. HTML is output which is suitable for inclusion in a table
  # cell or other similar container. Pass the form object being used for the
  # task import view.

  def timphelp_project_selector( form )
    projects = Project.find_active( :all, :order => Project::DEFAULT_SORT_ORDER )

    unless( projects.empty? )
      output  = "        &nbsp;Project to which all tasks will be assigned:\n"
      output << apphelp_project_selector(
                  'import_project_id',
                  'import[project_id]',
                  @current_user.control_panel.project_id
                )
    else
      output  = "        There are no projects defined. You can create new\n"
      output << "        projects #{ link_to( 'here', new_project_path() ) }."
    end

    return output
  end
end
